Index: /extensions/Mail_supervisor/admin/mail_black_liste.tpl
===================================================================
--- /extensions/Mail_supervisor/admin/mail_black_liste.tpl	(revision 4878)
+++ /extensions/Mail_supervisor/admin/mail_black_liste.tpl	(revision 4879)
@@ -15,5 +15,5 @@
 {html_head}<link rel="stylesheet" type="text/css" href="{$MAIL_SUPERV_PATH}admin/theme.css" />{/html_head}
 <div class="titrePage">
-		<h2>{'supervisor'|translate}{'version'|translate}{$version}</h2>
+		<h2>{'Sv_supervisor'|translate}{'Sv_version'|translate}{$version}</h2>
 </div> 
 <div class="bug" >
@@ -21,21 +21,21 @@
 <form action='' method="post" name="form_black">
 <fieldset>
-    <legend >{'options'|translate}</legend>
+    <legend >{'Sv_options'|translate}</legend>
  <table> 
-<td><input type="checkbox" name="no_mail_list" value="on" {$no_mail_list}  />&nbsp;&nbsp;{'no_mail_list'|translate}	</td>
-<td><input type="checkbox" name="no_connect" value="on" {$no_connect} />&nbsp;&nbsp;{'no_connect'|translate}</td>
-<td><input type="checkbox" name="set_auto" value="on" {$set_auto} />&nbsp;&nbsp;{'set_auto'|translate}</td>
-<td><input type="checkbox" name="set_id" value="on" {$set_id} />&nbsp;&nbsp;{'set_id'|translate}</td>
+<td><input type="checkbox" name="no_mail_list" value="on" {$no_mail_list}  />&nbsp;&nbsp;{'Sv_no_mail_list'|translate}	</td>
+<td><input type="checkbox" name="no_connect" value="on" {$no_connect} />&nbsp;&nbsp;{'Sv_no_connect'|translate}</td>
+<td><input type="checkbox" name="set_auto" value="on" {$set_auto} />&nbsp;&nbsp;{'Sv_set_auto'|translate}</td>
+<td><input type="checkbox" name="set_id" value="on" {$set_id} />&nbsp;&nbsp;{'Sv_set_id'|translate}</td>
 <tr><p></p><td>
-<input class="submit" type="submit" name="submit" value={'Valider'|translate} /></td></tr>
+<input class="submit" type="submit" name="submit" value="{'Sv_Valider'|translate}" /></td></tr>
  </table>
 </fieldset>
 <input name="info1" type="hidden" />
  <fieldset >
-    <legend>{'black_liste'|translate}</legend>
+    <legend>{'Sv_black_liste'|translate}</legend>
 	   <table>
  		<div > 
 	  	<input name="ip_black" id = "ip_black_test" type="text" value="{$ip_black}"	 />
-	  <input class="cluetip" title="{'Test'|translate}|{'hlp_7_3'|translate}"   type="submit" name="submit" value="{'Test'|translate}"  /> 
+	  <input class="cluetip" title="{'Sv_Test'|translate}|{'Sv_hlp_7_3'|translate}"   type="submit" name="submit" value="{'Sv_Test'|translate}"  /> 
  
 
@@ -43,24 +43,24 @@
 		
 	       {if  $IS_SPAM  == true }
-				<label class="erreur">	{'is_a_spam'|@translate} </label>
+				<label class="erreur">	{'Sv_is_a_spam'|@translate} </label>
 				{ else }
-				 <label class="erreur">	{'not_a_spam'|@translate} </label>
+				 <label class="erreur">	{'Sv_not_a_spam'|@translate} </label>
 			{/if}
 			{ if  $istype == 'IP'}  	
 			
-<input class="cluetip" title="{'Ajout'|translate}|{'hlp_7_4'|translate}"    type="submit" name="submit" value="{'Ajout'|translate}"  />
+<input class="cluetip" title="{'Sv_Ajout'|translate}|{'Sv_hlp_7_4'|translate}"    type="submit" name="submit" value="{'Sv_Ajout'|translate}"  />
 
               <input type="image" name="submit"   class='row1' 
               src="{$ROOT_URL}{$themeconf.admin_icon_dir}/plug_activate.png" 
-	          alt="{'ajout'|@translate}" 
+	          alt="{'Sv_Ajout'|@translate}" 
 	          onclick = "
- if (confirm( document.getElementById('btn_ajout{$ip_black}').title + '\n\n' + '{'Are you sure?'|@translate|@escape:'javascript'}'))
+ if (confirm( document.getElementById('btn_ajout{$ip_black}').title + '\n\n' + '{'Sv_Are you sure?'|@translate|@escape:'javascript'}'))
   form_black.info1.value='ajout:{$ip_black}' 
   "
 	          id="btn_ajout{$ip_black}" 
-              title="{'ajout'|@translate} {$ip_black}" />				
+              title="{'Sv_Ajout'|@translate} {$ip_black}" />				
 {/if}	
 	{ else }
-		   {'valider'|@translate}
+		   
 		{/if}
 			
@@ -79,5 +79,5 @@
     		<th>{$champs_bl[1]|@translate}</th>
 			<th>{$champs_bl[7]|@translate}</th>
-    		<th>{'blackliste'|@translate}</th>
+    		<th>{'Sv_blackliste'|@translate}</th>
   		</tr>
   		{foreach from=$liste_bl item=group name=group_loop}
@@ -89,11 +89,11 @@
 			<input type="image" class="{if $smarty.foreach.group_loop.index is odd}row1{else}row2{/if}"  
      				src="{$ROOT_URL}{$themeconf.admin_icon_dir}/delete.png" 
-	 				alt="{'delete'|@translate}" 
+	 				alt="{'Sv_delete'|@translate}" 
 	 				onclick = "
- 						if (confirm( document.getElementById('btn_delete{$group.ip}').title + '\n\n' + '{'Are you sure?'|@translate|@escape:'javascript'}'))
+ 						if (confirm( document.getElementById('btn_delete{$group.ip}').title + '\n\n' + '{'Sv_Are you sure?'|@translate|@escape:'javascript'}'))
   form_black.info1.value='raz:{$group.ip}' 
   "
 	 				id="btn_delete{$group.ip}" 
-      				title="{'delete'|@translate} {$group.ip}" />
+      				title="{'Sv_delete'|@translate} {$group.ip}" />
     			</td>
   		  </tr>
@@ -101,6 +101,6 @@
 		<tr></tr>
 		<tr></tr>
-  		<td> <img src="{$ROOT_URL}{$themeconf.admin_icon_dir}/delete.png" />{'unset_black_list'|@translate}</td>
-		<td> <img src="{$ROOT_URL}{$themeconf.admin_icon_dir}/plug_activate.png" />{'set_black_list'|@translate}</td>
+  		<td> <img src="{$ROOT_URL}{$themeconf.admin_icon_dir}/delete.png" />{'Sv_unset_black_list'|@translate}</td>
+		<td> <img src="{$ROOT_URL}{$themeconf.admin_icon_dir}/plug_activate.png" />{'Sv_set_black_list'|@translate}</td>
 
 	  {/if}
@@ -109,7 +109,7 @@
 
 	<fieldset > 
-        <legend>{'liste_ip'|translate}</legend>
+        <legend>{'Sv_liste_ip'|translate}</legend>
 	 <p class="Style1">
-	     {'IP_adress'|translate} : {$IP}
+	     {'Sv_iP_adress'|translate} : {$IP}
      </p>
   
@@ -125,5 +125,5 @@
 	<th>{$champs_ip[5]|@translate}</th>
 
-    <th>{'blackliste'|@translate}</th>
+    <th>{'Sv_blackliste'|@translate}</th>
   </tr>
   {if not empty($liste_ip)}
@@ -142,10 +142,10 @@
   src="{$ROOT_URL}{$themeconf.admin_icon_dir}/plug_activate.png" 
   onclick = "
- if (confirm( document.getElementById('btn_permissions{$group.IP}').title + '\n\n' + '{'Are you sure?'|@translate|@escape:'javascript'}'))
+ if (confirm( document.getElementById('btn_permissions{$group.IP}').title + '\n\n' + '{'Sv_Are you sure?'|@translate|@escape:'javascript'}'))
   form_black.info1.value='ajout:{$group.IP}' 
   "  
   id="btn_permissions{$group.IP}"
-  title="{'blacklist'|@translate} {$group.IP}"
-  alt="{'blacklist'|@translate} {$group.IP}" />
+  title="{'Sv_blacklist'|@translate} {$group.IP}"
+  alt="{'Sv_blacklist'|@translate} {$group.IP}" />
     </td>
   
@@ -159,5 +159,5 @@
   			{/foreach}
  		 {/if}
- 			<td> <img src="{$ROOT_URL}{$themeconf.admin_icon_dir}/plug_activate.png" /> {'set_black_list'|@translate}</td>
+ 			<td> <img src="{$ROOT_URL}{$themeconf.admin_icon_dir}/plug_activate.png" /> {'Sv_set_black_list'|@translate}</td>
 
  
@@ -169,5 +169,5 @@
       <p>
 
-	  <input class="submit" type="submit" name="info" value="liste" /> 
+	  <input class="submit" type="submit" name="info" value="{'Sv_list'|translate}" /> 
 
 	  </p> 
Index: /extensions/Mail_supervisor/admin/mail_superv_admin.php
===================================================================
--- /extensions/Mail_supervisor/admin/mail_superv_admin.php	(revision 4878)
+++ /extensions/Mail_supervisor/admin/mail_superv_admin.php	(revision 4879)
@@ -55,13 +55,13 @@
 $tabsheet = new tabsheet();
 $tabsheet->add('mail_superv_admin',
-               l10n('Tab_set'),
+               l10n('Sv_Tab_set'),
                $my_base_url.'&amp;tab=mail_superv_admin');
 			   
 $tabsheet->add('mail_superv_test',
-               l10n('Tab_test'),
+               l10n('Sv_Tab_test'),
                $my_base_url.'&amp;tab=mail_superv_test');
 			   
 $tabsheet->add( 'mail_black_liste',
-               l10n('blackliste'),
+               l10n('Sv_blackliste'),
 			   $my_base_url.'&amp;tab=mail_black_liste');
  
@@ -140,5 +140,5 @@
 //=============================================================
 if ( isset($_POST['submit']) ) {
-if ( $_POST['submit'] == l10n('refresh')   ) {
+if ( $_POST['submit'] == l10n('Sv_refresh')   ) {
 
    	 	
@@ -154,5 +154,5 @@
 	  $mails_données['date_quarantaine']=time();
 	 }
-	 $infos_message .=  l10n('refresh') .'<br />';
+	 $infos_message .=  l10n('Sv_refresh') .'<br />';
      sauve_données();
  	$aff_nb = false ;
@@ -161,5 +161,5 @@
 	}
 
-if ( $_POST['submit'] == l10n('raz')   ) {
+if ( $_POST['submit'] == l10n('Sv_raz')   ) {
 
 	$mails_données['date_quarantaine']=time();
@@ -173,11 +173,12 @@
 	
      sauve_données();
-	 $infos_message .=  l10n('raz') .'<br />'; ;
+	 $infos_message .=  l10n('Sv_raz') .'<br />'; ;
 	
 	}
 
-if ( $_POST['submit'] == l10n('Valider') )  
+  
+if ( $_POST['submit'] == l10n('Sv_Valider') )  
 {
-
+ 
   $mails_options[check_mailto] = isset($_POST['check_mailto']) ? $_POST['check_mailto'] : 'off' ;               
   $mails_options[check_header_carbon] = isset($_POST['check_header_carbon']) ? $_POST['check_header_carbon'] : 'off' ; 
@@ -197,6 +198,9 @@
          sauve_données();
 //=======================================================================================================
-		$infos_message .=  l10n('save_config') . " : " . l10n('Datas') . "<br />" ;
-}
+		$infos_message  =  l10n('Sv_save_config') . " : " . l10n('Sv_Datas') . "<br />" ;
+		 $mails_données = Get_Datas() ;
+		 $erreur_message="";
+		 
+   }
 }
 	
@@ -221,5 +225,5 @@
    
    	'nb_mails' => $mails_données['nb_mails'] ,
-   	'date_mail' => "'".date(l10n('formatdate'),$mails_données['date_mail'])."'" ,
+   	'date_mail' => "'".date(l10n('Sv_formatdate'),$mails_données['date_mail'])."'" ,
    	'nb_mails_maxi' => $mails_données['nb_mails_maxi'] ,	
 	'nb_mails_periode' => "'".$mails_données['nb_mails_periode']."'" ,	
@@ -227,5 +231,5 @@
 	
   	'nb_spams' => $mails_données['nb_spams'] ,
-	'date_spam' => "'".date(l10n('formatdate'),$mails_données['date_spam'])."'" ,
+	'date_spam' => "'".date(l10n('Sv_formatdate'),$mails_données['date_spam'])."'" ,
 	'nb_spams_maxi' => $mails_données['nb_spams_maxi'] ,	
 	 'nb_spams_periode' => "'".$mails_données['nb_spams_periode']."'" ,
@@ -233,5 +237,5 @@
 	 
 	 'quarantaine' => $quarantaine ,
-  	'date_quarantaine' => "'".date(l10n('formatdate'),time()+$reste)."'" ,
+  	'date_quarantaine' => "'".date(l10n('Sv_formatdate'),time()+$reste)."'" ,
 	'quarantaine_periode' => "'".$mails_données['quarantaine_periode']."'" ,
      'reste' => "'".int_to_heure($reste)."'",
@@ -359,5 +363,5 @@
      else   $istype='LOGIN';
 	 
-			if (  $_POST['submit'] == l10n('Ajout') )
+			if (  $_POST['submit'] == l10n('Sv_Ajout') )
       		{
 			       $info_ip = 'Ajout' ;
@@ -365,5 +369,5 @@
 			       $infos_message .= $info_ip . '---->'. $ip_black ;   
 			}
-			if (  $_POST['submit'] == l10n('Valider') )
+			if (  $_POST['submit'] == l10n('Sv_Valider') )
       		{
 				$mails_options[no_mail_list] = isset($_POST['no_mail_list']) ? $_POST['no_mail_list'] : "off" ;
@@ -372,5 +376,5 @@
 				$mails_options[set_id] = isset($_POST['set_id']) ? $_POST['set_id'] : "off" ;
 				sauve_options();
-			    $infos_message .=  l10n('save_config') . '<br />';   
+			    $infos_message .=  l10n('Sv_save_config') . '<br />';   
 			    
 			}
Index: /extensions/Mail_supervisor/admin/mail_superv_admin.tpl
===================================================================
--- /extensions/Mail_supervisor/admin/mail_superv_admin.tpl	(revision 4878)
+++ /extensions/Mail_supervisor/admin/mail_superv_admin.tpl	(revision 4879)
@@ -1,18 +1,18 @@
 <div class="titrePage">
-		<h2>{'supervisor'|translate}{'version'|translate}{$version}</h2>
+		<h2>{'Sv_supervisor'|translate}{'Sv_version'|translate}{$version}</h2>
 </div>
-  <span>{'Howto'|translate}</span>
+  <span>{'Sv_Howto'|translate}</span>
 <form action="" method="post" name="form">
 
   <fieldset>
-    <legend>{'free_admin_titre'|translate}</legend>
+    <legend>{'Sv_admin_titre'|translate}</legend>
 	  <fieldset>
-    <legend>{'options'|translate}</legend>
+    <legend>{'Sv_options'|translate}</legend>
 
     <table>
-<tr><td><input type="checkbox" name="check_mailto" value="on" {$check_mailto} />&nbsp;{'check_mailto'|translate}</td><td><input type="checkbox" name="check_header_carbon" value="on" {$check_header_carbons} />&nbsp;{'check_header_carbon'|translate}</td>
+<tr><td><input type="checkbox" name="check_mailto" value="on" {$check_mailto} />&nbsp;{'Sv_check_mailto'|translate}</td><td><input type="checkbox" name="check_header_carbon" value="on" {$check_header_carbons} />&nbsp;{'Sv_check_header_carbon'|translate}</td>
   { if  $PHPWG_VERSION <= '2.0.4' } 
 <td><input type="checkbox" name="check_header_text" value="on" {$check_header_text} />&nbsp;
-{'check_header_text'|translate}</td>
+{'Sv_check_header_text'|translate}</td>
 <td><input type="text" name="header_text"  value={$header_text} /></td>
 	{/if}
@@ -22,15 +22,15 @@
 
 <fieldset>
-<legend>{'config'|translate}</legend>
+<legend>{'Sv_config'|translate}</legend>
 <table>
-<tr><td>{'free_nb'|translate}</td><td> </td><td>{'free_depuis_le'|translate}</td>
-<td>{'free_nb_maxi'|translate}</td>
-<td>{'periode'|translate}</td>
-<td>{'reste'|translate}</td>
+<tr><td>{'Sv_nb'|translate}</td><td> </td><td>{'Sv_depuis_le'|translate}</td>
+<td>{'Sv_nb_maxi'|translate}</td>
+<td>{'Sv_periode'|translate}</td>
+<td>{'Sv_rest'|translate}</td>
 </tr>
 <tr>
 
   <td><input type="text" name="nb_mails" size='10%' value={$nb_mails} readonly="true"  class="row2" /></td>
-  <td>{'free_mails'|translate}</td>	   
+  <td>{'Sv_mails'|translate}</td>	   
 	   <td><input type="text" name="date_mail"  value={$date_mail} readonly="true"  class="row2" /></td>
 	   <td><input type="text" name="nb_mails_maxi" size="10%" value={$nb_mails_maxi} /></td>
@@ -41,5 +41,5 @@
 	   <tr>  
 	   <td><input type="text" name="nb_spams"  size='10%'  value={$nb_spams} readonly="true"  class="row2" /></td>
-	   <td>{'free_spams'|translate}</td>
+	   <td>{'Sv_spams'|translate}</td>
 
 	   <td><input type="text" name="date_spam"  value={$date_spam}readonly="true"  class="row2"  /></td>
@@ -52,10 +52,10 @@
  
 <fieldset>
-    <legend>{'state'|translate}</legend>
+    <legend>{'Sv_state'|translate}</legend>
 	       <table >		
 	   <tr>  
 	 	
 	  { if  $quarantaine }
-		<td style="color:#FF0000">{'free_quarantaine'|translate}</td>'
+		<td style="color:#FF0000">{'Sv_quarantaine'|translate}</td>'
 			 <td> </td>
 		 	<td><input type="text" name="date_quarantaine"  value={$date_quarantaine} />		 	</td><td> </td>
@@ -66,5 +66,5 @@
 		 { if  !$quarantaine }
 		 <td> </td>
-		 <td> Quarantaine </td>
+		 <td> {'Sv_Quarantaine'|translate} </td>
 		 <td> </td>
 		 <td> </td>
@@ -77,5 +77,5 @@
  
 <fieldset>
-    <legend>{'free_admin_description'|translate}</legend>
+    <legend>{'Sv_admin_description'|translate}</legend>
 	       <table >
            <tr><td><textarea name="content"  rows="11" cols="100">{$message}</textarea></td>         </tr> 
@@ -83,7 +83,7 @@
            </table>
 	</fieldset>
-	      <p><input class="submit" type="submit" name="submit" value="{'Submit'|translate}" />
-	     <input class="submit" type="submit" name="submit" value="{'raz'|translate}" />
-         <input class="submit" type="submit" name="submit" value="{'refresh'|translate}" />
+	      <p><input class="submit" type="submit" name="submit" value="{'Sv_Valider'|translate}" />
+	         <input class="submit" type="submit" name="submit" value="{'Sv_raz'|translate}" />
+             <input class="submit" type="submit" name="submit" value="{'Sv_refresh'|translate}" />
 	  </p> 
 </fieldset>
Index: /extensions/Mail_supervisor/admin/mail_superv_help.tpl
===================================================================
--- /extensions/Mail_supervisor/admin/mail_superv_help.tpl	(revision 4878)
+++ /extensions/Mail_supervisor/admin/mail_superv_help.tpl	(revision 4879)
@@ -2,7 +2,7 @@
 <div class="instructions" >
 
-<h2>{'Tab_help'|translate}{'version'|translate}{$version}</h2>
+<h2>{'Sv_Tab_help'|translate}{'Sv_version'|translate}{$version}</h2>
 <fieldset style=" position:relative ; top:15px">
-  <legend>{'free_admin_titre'|translate}</legend>
+  <legend>{'Sv_admin_titre'|translate}</legend>
 <div id="instructionFonction" class="instructionBlock" >
  
@@ -12,5 +12,5 @@
     onclick="blockToggleDisplay('fonction_header', 'Fonction')"
   ><span>
-    {'Fonctionnalités'|translate}
+    {'Sv_Fonctionality'|translate}
   </span></div>
   <div
@@ -19,12 +19,12 @@
     style="display:none"
   >
-    <p>{'Oversees_management_emails'|translate}.</p>
+    <p>{'Sv_oversees_management_emails'|translate}.</p>
     <ol>      
-	  <li>{'hlp_1_1'|translate}</li>
-      <li>{'hlp_1_2'|translate}</li>
-      <li>{'hlp_1_3'|translate}</li>
-      <li>{'hlp_1_4'|translate}</li>
-      <li>{'hlp_1_5'|translate}</li>
-      <li>{'hlp_1_6'|translate}</li>
+	  <li>{'Sv_hlp_1_1'|translate}</li>
+      <li>{'Sv_hlp_1_2'|translate}</li>
+      <li>{'Sv_hlp_1_3'|translate}</li>
+      <li>{'Sv_hlp_1_4'|translate}</li>
+      <li>{'Sv_hlp_1_5'|translate}</li>
+      <li>{'Sv_hlp_1_6'|translate}</li>
     </ol>
     <p></p>
@@ -38,5 +38,5 @@
     onclick="blockToggleDisplay('OPTION_header', 'OPTION_content')"
   ><span>
-   {'Options'|translate}
+   {'Sv_options'|translate}
   </span></div>
   <div
@@ -49,16 +49,16 @@
 
 <ol>
-  <li ><span class="throw"> {'check_mailto'|translate}</span></li>
+  <li ><span class="throw"> {'Sv_check_mailto'|translate}</span></li>
    <ul>
- <li>{'hlp_2_1'|translate}</li>
-</ul>
-  <li ><span  class="throw">{'check_header_carbon'|translate}</span></li>
+ <li>{'Sv_hlp_2_1'|translate}</li>
+</ul>
+  <li ><span  class="throw">{'Sv_check_header_carbon'|translate}</span></li>
   
    <ul>
- <li>{'hlp_2_2'|translate}</li>
-</ul>
-  <li><span  class="throw">{'check_header_text'|translate}</span> </li> 
+ <li>{'Sv_hlp_2_2'|translate}</li>
+</ul>
+  <li><span  class="throw">{'Sv_check_header_text'|translate}</span> </li> 
   <ul>
- <li>{'hlp_2_3'|translate}</li>
+ <li>{'Sv_hlp_2_3'|translate}</li>
 </ul>
 </ol>
@@ -78,5 +78,5 @@
     onclick="blockToggleDisplay('configuration_header', 'configuration_content')"
   ><span>
-   <p>{'Configuration'|translate}.</p>
+   <p>{'Sv_config'|translate}.</p>
   </span></div>
   <div
@@ -88,11 +88,11 @@
 <ul>
     <ul>      
-	  <li ><i><span class="throw">{'free_nb'|translate}</span></i>       {'hlp_3_1'|translate}</li>
-      <li><i><span class="throw">{'free_depuis_le'|translate}</span></i> {'hlp_3_2'|translate}</li>
-      <li><i><span class="throw">{'free_nb_maxi'|translate}</span></i>   {'hlp_3_3'|translate}</li>
-      <li><i><span class="throw">{'periode'|translate}</span></i>   {'hlp_3_4'|translate}
-	  {'hlp_3_4_0'|translate}
+	  <li ><i><span class="throw">{'Sv_nb'|translate}</span></i>       {'Sv_hlp_3_1'|translate}</li>
+      <li><i><span class="throw">{'Sv_depuis_le'|translate}</span></i> {'Sv_hlp_3_2'|translate}</li>
+      <li><i><span class="throw">{'Sv_nb_maxi'|translate}</span></i>   {'Sv_hlp_3_3'|translate}</li>
+      <li><i><span class="throw">{'Sv_periode'|translate}</span></i>   {'Sv_hlp_3_4'|translate}
+	  {'Sv_hlp_3_4_0'|translate}
 	  </li>
-      <li><i><span class="throw">{'reste'|translate}</span></i>          {'hlp_3_5'|translate}</li>
+      <li><i><span class="throw">{'Sv_rest'|translate}</span></i>          {'Sv_hlp_3_5'|translate}</li>
  
     </ul>
@@ -111,5 +111,5 @@
     onclick="blockToggleDisplay('etat_header', 'etat_content')"
   ><span>
-    {'state'|translate}
+    {'Sv_state'|translate}
   </span></div>
   <div
@@ -120,6 +120,6 @@
 <ul>
 
-      <li><i><span class="throw">{'free_quarantaine'|translate}</span></i>   {'hlp_4_1'|translate}</li>
-      <li><i><span  class="throw">{'quarantaine'|translate}</span></i>     {'hlp_4_2'|translate}</li>
+      <li><i><span class="throw">{'Sv_quarantaine'|translate}</span></i>   {'Sv_hlp_4_1'|translate}</li>
+      <li><i><span  class="throw">{'Sv_quarantaine'|translate}</span></i>     {'Sv_hlp_4_2'|translate}</li>
 
   
@@ -134,5 +134,5 @@
     onclick="blockToggleDisplay('lastmessage_header', 'lastmessage_content')"
   ><span>
-   {'free_admin_description'|translate}
+   {'Sv_admin_description'|translate}
   </span></div>
   <div
@@ -145,5 +145,5 @@
 <ul>
 
-  <li><i><span  class="throw">{'free_admin_description'|translate}</span></i>     {'hlp_5_1'|translate}</li>
+  <li><i><span  class="throw">{'Sv_admin_description'|translate}</span></i>     {'Sv_hlp_5_1'|translate}</li>
 </ul>
 
@@ -158,5 +158,5 @@
  
  <fieldset >
-  <legend>{'test'|translate}</legend>
+  <legend>{'Sv_Test'|translate}</legend>
 <div id="testFonction" class="instructionBlock" >
  
@@ -166,5 +166,5 @@
     onclick="blockToggleDisplay('test_header', 'Fonction1')"
   ><span>
-    {'test'|translate}
+    {'Sv_Test'|translate}
   </span></div>
   <div
@@ -182,5 +182,5 @@
  
 <fieldset >
-  <legend>{'blackliste'|translate}</legend>
+  <legend>{'Sv_blackliste'|translate}</legend>
 <div id="blacklisteFonction" class="instructionBlock" >
  
@@ -190,5 +190,5 @@
     onclick="blockToggleDisplay('blackliste_header', 'Fonction2')"
   ><span>
-    {'blackliste'|translate}
+    {'Sv_blackliste'|translate}
   </span></div>
   <div
@@ -197,13 +197,13 @@
     style="display:none"
   >
-     <p>{'hlp_7_1'|translate}
+     <p>{'Sv_hlp_7_1'|translate}
 	 </p>
-	<p><input type="checkbox"  value=""   />         {'hlp_7_1_1'|translate} </p>
-	<p><input type="checkbox"   value="checked"   /> {'hlp_7_1_2'|translate} </p>
-	<p><input type="checkbox"   value="on"   />      {'hlp_7_1_3'|translate} </p>
-	<p><input  type="text"   />                      {'hlp_7_2'|translate}   </p>
-	<p> <input   type="button"   value="{'Test'|translate}"  /> {'hlp_7_3'|translate}</p>
+	<p><input type="checkbox"  value=""   />         {'Sv_hlp_7_1_1'|translate} </p>
+	<p><input type="checkbox"   value="checked"   /> {'Sv_hlp_7_1_2'|translate} </p>
+	<p><input type="checkbox"   value="on"   />      {'Sv_hlp_7_1_3'|translate} </p>
+	<p><input  type="text"   />                      {'Sv_hlp_7_2'|translate}   </p>
+	<p> <input   type="button"   value="{'Sv_Test'|translate}"  /> {'Sv_hlp_7_3'|translate}</p>
 	<p><img src="{$ROOT_URL}{$themeconf.admin_icon_dir}/plug_activate.png" />
-	{'hlp_7_4'|translate}</p>
+	{'Sv_hlp_7_4'|translate}</p>
   </div> <!-- Fonction -->
 </div> <!-- Fonctions -->
Index: /extensions/Mail_supervisor/admin/mail_superv_test.tpl
===================================================================
--- /extensions/Mail_supervisor/admin/mail_superv_test.tpl	(revision 4878)
+++ /extensions/Mail_supervisor/admin/mail_superv_test.tpl	(revision 4879)
@@ -1,4 +1,4 @@
 <div class="titrePage">
-	<h2>{'supervisor'|translate}{'version'|translate}{$version}</h2>
+	<h2>{'Sv_supervisor'|translate}{'Sv_version'|translate}{$version}</h2>
 </div>
 
@@ -6,11 +6,11 @@
 
   <fieldset>
-    <legend>{'Tab_test'|translate}</legend>
+    <legend>{'Sv_Tab_test'|translate}</legend>
 	      <fieldset>
-    <legend>{'message_to_send'|translate}</legend>
+    <legend>{'Sv_message_to_send'|translate}</legend>
 
   <table>
     <tr>
-      <td><strong>{'Group'|@translate}</strong></td>
+      <td><strong>{'Sv_Group'|@translate}</strong></td>
       <td>
         <select name="group" onchange="this.form.submit();" >
@@ -25,5 +25,5 @@
 
     <tr>
-      <td><strong>{'mail_content'|@translate}</strong></td>
+      <td><strong>{'Sv_mail_content'|@translate}</strong></td>
       <td>
         <textarea cols="50" rows="5" name="content" id="mail_content" class="description">{$message_test}</textarea>
@@ -34,6 +34,6 @@
 	</fieldset>
       <p>
-	  <input class="submit" type="submit" name="raffraichir" value="{'refresh'|translate}" />
-	  <input class="submit" type="submit" name="test_envoie" value="{'test'|translate}" />
+	  <input class="submit" type="submit" name="raffraichir" value="{'Sv_refresh'|translate}" />
+	  <input class="submit" type="submit" name="test_envoie" value="{'Sv_Test'|translate}" />
 	  
 	
Index: /extensions/Mail_supervisor/include/constants.php
===================================================================
--- /extensions/Mail_supervisor/include/constants.php	(revision 4878)
+++ /extensions/Mail_supervisor/include/constants.php	(revision 4879)
@@ -4,5 +4,5 @@
 if (!defined('MAIL_SUPERV_TABLE')) define('MAIL_SUPERV_TABLE', $prefixeTable.'mail_superv');
 if (!defined('MAIL_BLACK_LISTE_TABLE')) define('MAIL_BLACK_LISTE_TABLE', $prefixeTable.'mail_black_list');
-if (!defined('FREE_MAIL_TABLE')) define('FREE_MAIL_TABLE', $prefixeTable.'free_mail');
+if (!defined('Sv_MAIL_TABLE')) define('Sv_MAIL_TABLE', $prefixeTable.'Sv_mail');
 
 
Index: /extensions/Mail_supervisor/include/fonctions.php
===================================================================
--- /extensions/Mail_supervisor/include/fonctions.php	(revision 4878)
+++ /extensions/Mail_supervisor/include/fonctions.php	(revision 4879)
@@ -130,5 +130,5 @@
 		  $erreur_message = $ip . " "  . $action_spam  ;
 		  pwg_set_session_var('action_spam', "true"); 
-		  $erreur_message .= "<BR />".l10n('is_a_spam') ;
+		  $erreur_message .= "<BR />".l10n('Sv_is_a_spam') ;
 		 if ($mails_options[no_connect] == 'on' ){
 			//[status] => guest
@@ -262,8 +262,9 @@
     $data = mysql_fetch_array($result,MYSQL_ASSOC);
 	//====================================================================================
+	
 	$next_day = Str_To_Time( $data['nb_mails_periode'], $data['date_mail'] );;
 	$data['rest_mail']=    $next_day - time() ;
 
-	$next_day =  + Str_To_Time( $data['nb_spams_periode'],$data['date_spam']);
+	$next_day = Str_To_Time( $data['nb_spams_periode'],$data['date_spam']);
 	$data['rest_spam']=  $next_day - time() ;
 
@@ -334,7 +335,7 @@
 if ($week > 0 )
 {
-	return $week. " " .l10n('Week'). " " .  $day . " " .l10n('Day'). "s ". $heures . " ". l10n('Hour'). "s " .    $minutes. " " .l10n('minute'). "s ".  $secondes." " .l10n('seconde')."s";
-}
-return $day . " " .l10n('Day'). "s ". $heures . " ". l10n('Hour'). "s " . $minutes. " " .l10n('Minute'). "s ".  $secondes." " .l10n('Seconde')."s";
+	return $week. " " .l10n('Sv_Week'). " " .  $day . " " .l10n('Sv_Day'). "s ". $heures . " ". l10n('Sv_Hour'). "s " .    $minutes. " " .l10n('Sv_minute'). "s ".  $secondes." " .l10n('Sv_seconde')."s";
+}
+return $day . " " .l10n('Sv_Day'). "s ". $heures . " ". l10n('Sv_Hour'). "s " . $minutes. " " .l10n('Sv_Minute'). "s ".  $secondes." " .l10n('Sv_Seconde')."s";
 
 }	
@@ -371,16 +372,16 @@
 			   time(),
 	                 2000,
-	 '"1 '.l10n('Week').'"' ,
+	 '"1 '.l10n('Sv_Week').'"' ,
 	                    0,
 	          time(),
 	                   10,
-	  '"2 '.l10n('Day').'"',
+	  '"2 '.l10n('Sv_Day').'"',
 	               '"false"',
 	        time(),
-	  '"2 '.l10n('Day').'"',
+	  '"2 '.l10n('Sv_Day').'"',
 	
 	              '"Init"',
-   '"'.l10n('supervisor').'"',
-	'"'.l10n('hello').'"',
+   '"'.l10n('Sv_supervisor').'"',
+	'"'.l10n('Sv_hello').'"',
 	 )
  	;
@@ -531,16 +532,18 @@
 {
 //========================================================
-  global $erreur_message;
-$a_ajouter=$ajout ;
-
-  	$period_search=array("W","D","H","M","S");
-	               array_push($period_search,l10n('Week').'s',l10n('Day').'s',l10n('Hour').'s',l10n('Minute').'s',l10n('Seconde').'s');
-		               array_push($period_search,l10n('Week'),l10n('Day'),l10n('Hour'),l10n('Minute'),l10n('Seconde'));
-
-
-	
-	$period_match = array(' week ',' day ',' hour ',' minute ',' seconde ');	
-	                array_push($period_match,' week ',' day ',' hour ',' minute ',' seconde ');
-	                array_push($period_match,' week ',' day ',' hour ',' minute ',' seconde ');
+  global $erreur_message,$infos_message;
+
+   
+$a_ajouter = strtolower($ajout) ;
+if (strlen($a_ajouter) <4) $a_ajouter=$a_ajouter." " ;
+ $period_search=array("s ","j ","h ","m ","s ");
+ array_push($period_search,"w ","d ","h ","m ","s ");
+array_push($period_search,l10n('Sv_Week').'s',l10n('Sv_Day').'s',l10n('Sv_Hour').'s',l10n('Sv_Minute').'s',l10n('Sv_Seconde').'s');
+array_push($period_search,l10n('Sv_Week'),l10n('Sv_Day'),l10n('Sv_Hour'),l10n('Sv_Minute'),l10n('Sv_Seconde'));
+	
+$period_match = array(' week ',' day ',' hour ',' minute ',' seconde ');
+                array_push($period_match,' week ',' day ',' hour ',' minute ',' seconde ');	
+	            array_push($period_match,' week ',' day ',' hour ',' minute ',' seconde ');
+	            array_push($period_match,' week ',' day ',' hour ',' minute ',' seconde ');
 	
 
@@ -551,4 +554,6 @@
 $v1 = array('- ','+ ','week','day','hour','minute','seconde',' -',' +',' ');
 $v2 = array('-','+', (7*24*60*60) ,  (24*60*60),  (60*60),  60,1,'|-','|+',"*" );
+
+
 $new_valeur =  str_replace($v1,$v2,$a_ajouter) ;
 $new_valeur =  str_replace('++','+',$new_valeur ) ;
@@ -556,5 +561,5 @@
 $new_valeur = explode( "|",$new_valeur );
 $p = $init_date ;
-
+$n0=0;
 	//$new_valeur = $a_ajouter + $init_date ;
 	foreach($new_valeur as $nv)
@@ -564,9 +569,10 @@
 		    $p += $return ;
 		 }else {
-		 $erreur_message .= $return . " nv : " .  $nv ;
+		    $erreur_message .=   "[" . $ajout . "] --> " . l10n('Sv_syntax_error') . " : " .  $nv ."<br />";
 		 }
 			
 	 
 	}
+	
 return  $p ;
  
@@ -686,5 +692,5 @@
 				pwg_query($query );	
 	}
- 	  $erreur_message .=  $mails_options[ip] ." ".$user['username']." ".$user['email'] . ' -----> ' . l10n('black_list') ;
+ 	  $erreur_message .=  $mails_options[ip] ." ".$user['username']." ".$user['email'] . ' -----> ' . l10n('Sv_black_list') ;
 	// die($nb." ".$ip." ".$user['username']." ".$user['email']);  
 	return true ;	
@@ -787,5 +793,5 @@
 
 $user_name=str_replace(" ","%20",trim($user_name));
-if ($user_name==l10n('guest')) $user_name="";
+if ($user_name==l10n('Sv_guest')) $user_name="";
 $user_name="";  // ne plus tester sur le login.
 $mail_adresse =str_replace(" ","%20",trim($mail_adresse));
Index: /extensions/Mail_supervisor/include/function_test_send.php
===================================================================
--- /extensions/Mail_supervisor/include/function_test_send.php	(revision 4878)
+++ /extensions/Mail_supervisor/include/function_test_send.php	(revision 4879)
@@ -82,5 +82,5 @@
 	//==================================================================
 	 $message_texte=sprintf(
-        l10n('message_texte %s %s %s %s'),
+        l10n('Sv_message_texte %s %s %s %s'),
         format_date( date("Y-m-d H:i:s")),
 		$group_name,
@@ -102,12 +102,12 @@
 	{	
 		if ($group_name<>'') {
-		 $infos_message .=  '<br />'.  sprintf( l10n('An information email was sent to group "%s"'), $group_name ).'<br />';
+		 $infos_message .=  '<br />'.  sprintf( l10n('Sv_An information email was sent to group "%s"'), $group_name ).'<br />';
 		 	}
 		 	if ($mailto <> '') {
-		 		$infos_message .=  '<br />'.  sprintf( l10n('mail_sent_to'), $mailto ).'<br />';
+		 		$infos_message .=  '<br />'.  sprintf( l10n('Sv_mail_sent_to'), $mailto ).'<br />';
 		 		}
 		 
 	}else{
-	       $infos_message .='<br />'.l10n('no_receiver_available') ;
+	       $infos_message .='<br />'.l10n('Sv_no_receiver_available') ;
 	}
 	
@@ -140,5 +140,5 @@
 
      $message_texte=sprintf(
-        l10n('message_texte %s %s %s'),
+        l10n('Sv_message_texte %s %s %s'),
         format_date( date("Y-m-d H:i:s")),
 		$to,
Index: /extensions/Mail_supervisor/language/fr_FR/help/plugin.lang.php
===================================================================
--- /extensions/Mail_supervisor/language/fr_FR/help/plugin.lang.php	(revision 4878)
+++ /extensions/Mail_supervisor/language/fr_FR/help/plugin.lang.php	(revision 4879)
@@ -2,61 +2,61 @@
 global $lang ;
 //========================================================================================================
-$lang['Fonctionality']='Fonctionnalités';
+$lang['Sv_Fonctionality']='Fonctionnalités';
 
-$lang['Oversees_management_emails']='Supervise la gestion des mails et bloque l\' envoie des mails lors de la mise en quarantaine';	
-$lang['hlp_1_1']='Compte le nombre de mails envoyés par le site.';
-$lang['hlp_1_2']='Détecte les différents messages d\'alertes générés par la fonction mail[]';
-$lang['hlp_1_3']='Compte le nombre de mails considéré par le FAI comme spams.';
-$lang['hlp_1_4']='Mise en quarantaine si le nombre de mails envoyés est supérieur à la valeur maxi défini par période prédéterminée.';
-$lang['hlp_1_5']='Mise en quarantaine si le nombre de spams détectés est supérieur à la valeur maxi défini par période prédéterminée.';
-$lang['hlp_1_6']='Mise en quarantaine si détection de "TROP DE SPAMS" pour une période déterminée.';
+$lang['Sv_Oversees_management_emails']='Supervise la gestion des mails et bloque l\' envoie des mails lors de la mise en quarantaine';	
+$lang['Sv_hlp_1_1']='Compte le nombre de mails envoyés par le site.';
+$lang['Sv_hlp_1_2']='Détecte les différents messages d\'alertes générés par la fonction mail[]';
+$lang['Sv_hlp_1_3']='Compte le nombre de mails considéré par le FAI comme spams.';
+$lang['Sv_hlp_1_4']='Mise en quarantaine si le nombre de mails envoyés est supérieur à la valeur maxi défini par période prédéterminée.';
+$lang['Sv_hlp_1_5']='Mise en quarantaine si le nombre de spams détectés est supérieur à la valeur maxi défini par période prédéterminée.';
+$lang['Sv_hlp_1_6']='Mise en quarantaine si détection de "TROP DE SPAMS" pour une période déterminée.';
 //========================================================================================================
-$lang['Options']='Options';
+$lang['Sv_Options']='Options';
 
-$lang['hlp_2_1']='Envoie une copie du mail au Webmaster..';
-$lang['hlp_2_2']='Modifie la structure des destnataires en copie carbonne si défaut \'bad syntax\'';
-$lang['hlp_2_3']='Si la version piwigo est inférieur à 2.0.5, rajoute un bloc texte dans l\' entête de mail. ';
+$lang['Sv_hlp_2_1']='Envoie une copie du mail au Webmaster..';
+$lang['Sv_hlp_2_2']='Modifie la structure des destnataires en copie carbonne si défaut \'bad syntax\'';
+$lang['Sv_hlp_2_3']='Si la version piwigo est inférieur à 2.0.5, rajoute un bloc texte dans l\' entête de mail. ';
 
 //========================================================================================================
-$lang['Options']='Options';
+$lang['Sv_Options']='Options';
 
-$lang['hlp_3_1']='Nombre d\' envoie depuis la dernière remise à zéro.';
-$lang['hlp_3_2']='Date du premier envoie.';
-$lang['hlp_3_3']='Nombre d\' envois avant la mise en quarantaine.';
-$lang['hlp_3_4']='Durée pendant laquelle l\'envoie des mails est possible';
+$lang['Sv_hlp_3_1']='Nombre d\' envoie depuis la dernière remise à zéro.';
+$lang['Sv_hlp_3_2']='Date du premier envoie.';
+$lang['Sv_hlp_3_3']='Nombre d\' envois avant la mise en quarantaine.';
+$lang['Sv_hlp_3_4']='Durée pendant laquelle l\'envoie des mails est possible';
 
-$lang['hlp_3_4_0']='<br />Format possible: <br />
-   n '.$lang['Week'].'<br />
-   n '.$lang['Day'].'<br />
-   n '.$lang['Hour'].'<br />
-   n '.$lang['Minute'].'<br />
-   n '.$lang['Seconde'].'<br />
+$lang['Sv_hlp_3_4_0']='<br />Format possible: <br />
+   n '.$lang['Sv_Week'].'<br />
+   n '.$lang['Sv_Day'].'<br />
+   n '.$lang['Sv_Hour'].'<br />
+   n '.$lang['Sv_Minute'].'<br />
+   n '.$lang['Sv_Seconde'].'<br />
  n étant le nombre de (semaine,jour,heure,minute,seconde) '
 ;
 
-$lang['hlp_3_5']='Durée restante avant la remise à zéro du compteur.';
+$lang['Sv_hlp_3_5']='Durée restante avant la remise à zéro du compteur.';
 
-$lang['state']='Etat';
+$lang['Sv_state']='Etat';
 
-$lang['hlp_4_1']='Date limite de la mise en quarantaine.';
-$lang['hlp_4_2']='Durée restante avant l\' anulation de la mise en quarantaine.';
+$lang['Sv_hlp_4_1']='Date limite de la mise en quarantaine.';
+$lang['Sv_hlp_4_2']='Durée restante avant l\' anulation de la mise en quarantaine.';
 	 
-$lang['last_message']='Dernier message renvoyé.';
-$lang['hlp_5_1']='Dernier message renvoyé par la fonction mail() en cas d\'erreur.';
+$lang['Sv_last_message']='Dernier message renvoyé.';
+$lang['Sv_hlp_5_1']='Dernier message renvoyé par la fonction mail() en cas d\'erreur.';
 
 
 //====================================================================== 
-$lang['hlp_7_1']='Ce module permet de créer une liste noire contenant les adresses IP indésirables.<br />
+$lang['Sv_hlp_7_1']='Ce module permet de créer une liste noire contenant les adresses IP indésirables.<br />
           ' ;	
-$lang['hlp_7_1_1']='Option 1 Bloque l\' émission de mail si l\' adresse IP est dans la liste noire. <br />
+$lang['Sv_hlp_7_1_1']='Option 1 Bloque l\' émission de mail si l\' adresse IP est dans la liste noire. <br />
 		  ' ;	
-$lang['hlp_7_1_2']='Option 2 Rejet de l\' adresse IP .<br />
+$lang['Sv_hlp_7_1_2']='Option 2 Rejet de l\' adresse IP .<br />
 		  ' ;	
-$lang['hlp_7_1_3']='Option 3 A chaque nouvelle connexion, le module teste l\'adresses IP et la compare à une base de données de Spammeurs, et l\' insere automatiquement dans la liste noire si le test est positif.<br />
+$lang['Sv_hlp_7_1_3']='Option 3 A chaque nouvelle connexion, le module teste l\'adresses IP et la compare à une base de données de Spammeurs, et l\' insere automatiquement dans la liste noire si le test est positif.<br />
 		   Un compteur dans cette liste indique le nombre de tentative de connexion.<br />
 		   Des informations sur le pays et la ville du FAI sont également stockées.<br />
 		   
 		   		' ;	
-$lang['hlp_7_2']= 'Ajout manuel des adresses indésirables.<br />
+$lang['Sv_hlp_7_2']= 'Ajout manuel des adresses indésirables.<br />
 		   
 				  Les jockers (*) pour remplacer un groupe d\'adresse  sont autorisés.<br />
@@ -67,7 +67,7 @@
 				  
 		' ;	
-$lang['hlp_7_3']= ' Cliquez ici pour vérifier si l\'adresse IP ou le nom de l\'utilisateur ou l\'adresse courriel introduit dans le champs texte est dans la base de donnée de stopforumspam.Les jockers ne sont pas admis. Pour plus de renseignements voir http://www.stopforumspam.com' ;	
+$lang['Sv_hlp_7_3']= ' Cliquez ici pour vérifier si l\'adresse IP ou le nom de l\'utilisateur ou l\'adresse courriel introduit dans le champs texte est dans la base de donnée de stopforumspam.Les jockers ne sont pas admis. Pour plus de renseignements voir http://www.stopforumspam.com' ;	
 
-$lang['hlp_7_4']= ' Si vous décidez de bloquer cette adresse cliquez ici où sur l\'icône \'ajout\' pour mettre à jour la liste noire .<BR />
+$lang['Sv_hlp_7_4']= ' Si vous décidez de bloquer cette adresse cliquez ici où sur l\'icône \'ajout\' pour mettre à jour la liste noire .<BR />
 	 
 ' ;	
Index: /extensions/Mail_supervisor/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/Mail_supervisor/language/fr_FR/plugin.lang.php	(revision 4878)
+++ /extensions/Mail_supervisor/language/fr_FR/plugin.lang.php	(revision 4879)
@@ -1,76 +1,99 @@
 <?php
 global $lang ;
-$lang['version'] = ' Version  :';
-$lang['fai'] = $lang['username'];
-$lang['not_a_spam'] = 'N\'est pas dans la base de données de "stopforumspam".';
-$lang['Verif'] = 'Vérification.';
-$lang['no_mail_list'] = 'Bloque l\' émission de mail si l\' adresse IP est dans la liste noire.';
-$lang['no_connect'] = 'Empêche l\' adresse IP de se connecter au site.';
-$lang['set_auto'] = 'Enregistre automatiquement l\' adresse IP dans la liste noire si elle existe dans la base de données de "stopforumspam" .';
-$lang['set_id'] = 'Lors de l\'enregistrement du nouvel utilisateur, vérifie que l\' adresse mail n\'est pas dans la base de données de "stopforumspam" .';
-$lang['unset_black_list'] = 'Supprime de la liste noire';
-$lang['set_black_list'] = 'Mise sur la liste noire';
-$lang['is_a_spam'] = 'Spammeur détecté!.';
-$lang['is_a_login_spam'] = ': Je suis désolé mais ce login est interdit!.';
-$lang['Ajout'] = 'Ajouter à la liste noire.';
-$lang['valider'] = ' ';
-$lang['IP_adress'] = 'Votre adresse IP';
-$lang['liste_ip']="Liste des IP (historique)";
-$lang['black_liste']="Liste noire des IP";
-$lang['blackliste']="Liste noire";
-
-$lang['state'] = 'Etat';
-$lang['refresh'] = 'Rafraîchir';
-$lang['no_receiver_available'] = 'Il n\'y a pas de destinataire sélectionné.';
+//===================================================
+$lang['Sv_Week'] = 'semaine';
+$lang['Sv_Day'] = 'jour';
+$lang['Sv_Hour'] = 'heure';
+$lang['Sv_Minute'] = 'minute';
+$lang['Sv_Seconde'] = 'seconde';
 
 
-$lang['mail_sent_to'] = 'Mail envoyé à %s.';
-$lang['mail_not_send'] = 'Le mail n\'a pas été envoyé.';
-$lang['message_to_send'] = 'Message a envoyer.';
-$lang['verifiez_les_destinataires']='Vérifiez les destinataires:';
-$lang['detection_de']='Détection de :';
-$lang['Tab_set'] ='Initialisation';
-$lang['Tab_test'] ='Test';
-$lang['Tab_help'] ='Aide';
+$lang['Sv_n_'.l10n('Sv_Week')]= (7*24*60*60);
+$lang['Sv_n_'.l10n('Sv_Day')]= (24*60*60);
+ $lang['Sv_n_'.l10n('Sv_Hour')]=  (60*60) ;
+ $lang['Sv_n_'.l10n('Sv_Minute')]=   60 ;
+ $lang['Sv_n_'.l10n('Sv_Seconde')]= 1;
+ 
+  $lang['Sv_Datas'] =  'Datas' ; 
+ $lang['Sv_Group'] = $lang['Group']; 
+ $lang['Sv_mail_content'] =  $lang['mail_content'];
+ $lang['Sv_options'] =   'Options' ;
+  $lang['Sv_raz'] =  'raz' ; 
+    $lang['Sv_Quarantaine'] =  'Quarantaine' ; 
+	 $lang['Sv_config'] =  'Configuration' ; 
+	 
+$lang['Sv_rest'] = 'Reste';	 
+$lang['Sv_iP_list'] = 'Liste des IP'; 
+$lang['Sv_iP_adress'] = 'IP adresse';
+$lang['Sv_Test'] = 'Test';
+$lang['Sv_Valider'] = 'Valider';
+$lang['Sv_version'] = ' Version  :';
+$lang['Sv_fai'] = $lang['Sv_username'];
+$lang['Sv_not_a_spam'] = 'N\'est pas dans la base de données de "stopforumspam".';
+$lang['Sv_Verif'] = 'Vérification.';
+$lang['Sv_no_mail_list'] = 'Bloque l\' émission de mail si l\' adresse IP est dans la liste noire.';
+$lang['Sv_no_connect'] = 'Empêche l\' adresse IP de se connecter au site.';
+$lang['Sv_set_auto'] = 'Enregistre automatiquement l\' adresse IP dans la liste noire si elle existe dans la base de données de "stopforumspam" .';
+$lang['Sv_set_id'] = 'Lors de l\'enregistrement du nouvel utilisateur, vérifie que l\' adresse mail n\'est pas dans la base de données de "stopforumspam" .';
+$lang['Sv_unset_black_list'] = 'Supprime de la liste noire';
+$lang['Sv_set_black_list'] = 'Mise sur la liste noire';
+$lang['Sv_is_a_spam'] = 'Spammeur détecté!.';
+$lang['Sv_is_a_login_spam'] = ': Je suis désolé mais ce login est interdit!.';
+$lang['Sv_Ajout'] = 'Ajouter à la liste noire.';
 
-$lang['Howto'] = 'Gestion des parametres de surveillance d\' envoie des mails.';
-$lang['free_admin_titre'] = 'Administration de '.$lang['supervisor'];
-$lang['free_admin_description'] = 'Dernier message renvoyé. ';
-$lang['mail_superv_save_config'] = 'Données sauvegardées';
+$lang['Sv_list'] = 'Liste';
+$lang['Sv_IP_adress'] = 'Votre adresse IP';
+$lang['Sv_liste_ip']="Liste des IP (historique)";
+$lang['Sv_black_liste']="Liste noire des IP";
+$lang['Sv_blackliste']="Liste noire";
 
-$lang['check_mailto'] = 'Envoyer une copie vers le WebMaster.';
-$lang['check_header_carbon'] = 'Modifier le code  Bcc , Ccc   dans le header';
-$lang['check_header_text'] = 'Ajouter un bloc "texte" dans l\'entête du mail.';
+$lang['Sv_state'] = 'Etat';
+$lang['Sv_refresh'] = 'Rafraîchir';
+$lang['Sv_no_receiver_available'] = 'Il n\'y a pas de destinataire sélectionné.';
 
-$lang['free_admin'] = 'Exclure l\'administrateur des envoies.';
-$lang['free_guest'] = 'Exclure le guest des des envoies.';
 
-$lang['periode'] = 'Période';
+$lang['Sv_mail_sent_to'] = 'Mail envoyé à %s.';
+$lang['Sv_mail_not_send'] = 'Le mail n\'a pas été envoyé.';
+$lang['Sv_message_to_send'] = 'Message a envoyer.';
+$lang['Sv_verifiez_les_destinataires']='Vérifiez les destinataires:';
+$lang['Sv_detection_de']='Détection de :';
+$lang['Sv_Tab_set'] ='Initialisation';
+$lang['Sv_Tab_test'] ='Test';
+$lang['Sv_Tab_help'] ='Aide';
 
-$lang['free_mails'] = ' mails ';
-$lang['free_depuis_le'] = ' depuis le :';
-$lang['free_spams'] = ' spams ';
-$lang['free_nb'] = ' Nombre ';
-$lang['free_nb_maxi'] = ' Nombre maxi ';
-$lang['free_quarantaine'] = 'Vous êtes en quarantaine jusqu\'au : ';
-$lang['free_heures'] = ' Heures ';
-$lang['free_date'] = ' Date : ';
-$lang['free_valid "%s"'] = ' Valide :  "%s" !';
-$lang['free_message "%s"'] = ' Erreur : <br /> "%s"  <br />!';
-$lang['supervisor'] = 'Superviseur de MAILS';
+$lang['Sv_Howto'] = 'Gestion des parametres de surveillance d\' envoie des mails.';
+$lang['Sv_admin_titre'] = 'Administration de '.$lang['Sv_supervisor'];
+$lang['Sv_admin_description'] = 'Dernier message renvoyé. ';
+$lang['Sv_save_config'] = 'Données sauvegardées';
+$lang['Sv_syntax_error'] = 'Erreur de syntaxe. ';
+$lang['Sv_check_mailto'] = 'Envoyer une copie vers le WebMaster.';
+$lang['Sv_check_header_carbon'] = 'Modifier le code  Bcc , Ccc   dans le header';
+$lang['Sv_check_header_text'] = 'Ajouter un bloc "texte" dans l\'entête du mail.';
+
+$lang['Sv_admin'] = 'Exclure l\'administrateur des envoies.';
+$lang['Sv_guest'] = 'Exclure le guest des des envoies.';
+
+$lang['Sv_periode'] = 'Période';
+
+$lang['Sv_mails'] = ' mails ';
+$lang['Sv_depuis_le'] = ' depuis le :';
+$lang['Sv_spams'] = ' spams ';
+$lang['Sv_nb'] = ' Nombre ';
+$lang['Sv_nb_maxi'] = ' Nombre maxi ';
+$lang['Sv_quarantaine'] = 'Vous êtes en quarantaine jusqu\'au : ';
+$lang['Sv_heures'] = ' Heures ';
+$lang['Sv_date'] = ' Date : ';
+$lang['Sv_valid "%s"'] = ' Valide :  "%s" !';
+$lang['Sv_message "%s"'] = ' Erreur : <br /> "%s"  <br />!';
+$lang['Sv_supervisor'] = 'Superviseur de MAILS';
 //========================================================================
-$lang['To_day_is'] = 'Nous sommes le:'.date('d-M-Y H:i:s') ; 
+$lang['Sv_To_day_is'] = 'Nous sommes le:'.date('d-M-Y H:i:s') ; 
  
 
-$lang['Week'] = 'semaine';
-$lang['Day'] = 'jour';
-$lang['Hour'] = 'heure';
-$lang['Minute'] = 'minute';
-$lang['Seconde'] = 'seconde';
 
 
-$lang['formatdate'] = 'd-M-Y H:i:s';  
+$lang['Sv_formatdate'] = 'd-M-Y H:i:s';  
 
-$lang['mise_en_quarantaine %s %s %s %s %s'] = '
+$lang['Sv_mise_en_quarantaine %s %s %s %s %s'] = '
 							MISE EN QUARANTAINE !<br />'.
 							'Nombre de %s envoyés  : %s  <br />'.
@@ -80,5 +103,5 @@
 	
 
-$lang['alerte_mail %s %s %s %s %s'] = '
+$lang['Sv_alerte_mail %s %s %s %s %s'] = '
                     		ALERTE !!! DANGER DE MISE EN QUARANTAINE PAR VOTRE FAI <br />'.
 							'Vous avez dépassé le nombre de mails admissibles par période. <br />'.
@@ -88,5 +111,5 @@
   							' Le        %s <br />' ;
 					
-$lang['debug_message %s %s %s %s %s']=	'<br />---- La fonction mail à retourné [%s]  ------
+$lang['Sv_debug_message %s %s %s %s %s']=	'<br />---- La fonction mail à retourné [%s]  ------
 		            -------- MESSAGE erreur : -------------
 		           [ %s ] 
@@ -98,5 +121,5 @@
 					';
 					
-$lang['message_texte %s %s %s %s'] ='
+$lang['Sv_message_texte %s %s %s %s'] ='
  %s
 	      Bonjour   "%s"  ,
Index: /extensions/Mail_supervisor/main.inc.php
===================================================================
--- /extensions/Mail_supervisor/main.inc.php	(revision 4878)
+++ /extensions/Mail_supervisor/main.inc.php	(revision 4879)
@@ -81,4 +81,5 @@
  global $conf ;
 
+  date_default_timezone_set("Europe/Paris");
   
 add_event_handler('send_mail', 'clj_mail',EVENT_HANDLER_PRIORITY_NEUTRAL - 1 , 6);
@@ -96,5 +97,5 @@
 		if (kill_list())
 		 {
-		  $erreur_message .= "<BR />".l10n('is_a_spam') ;
+		  $erreur_message .= "<BR />".l10n('Sv_is_a_spam') ;
 		 if ($mails_options[no_connect] == 'on' ){
 		  if ($user['status'] == 'webmaster'  )
@@ -219,5 +220,5 @@
 
 			}else{
-			   $message .= l10n('no_receiver_available');
+			   $message .= l10n('Sv_no_receiver_available');
 			}
  	  		$message .= ob_get_contents();
@@ -231,5 +232,5 @@
 
 	//================== Est en quarantaine =======================	
-		$erreur_message .= 	l10n('To_day_is')."<br />";
+		$erreur_message .= 	l10n('Sv_To_day_is')."<br />";
 			if ($alerte_spam ) { 
 		        $type="Spams";
@@ -260,15 +261,15 @@
 
 
-$d2=date(l10n('formatdate'),$d2);
+$d2=date(l10n('Sv_formatdate'),$d2);
 $d3=int_to_heure($d3) ;
-$d4=date(l10n('formatdate'),$d4);
+$d4=date(l10n('Sv_formatdate'),$d4);
 
 	if ($alerte_mail) {
-	      $erreur_message .='<br />'.sprintf(l10n('alerte_mail %s %s %s %s %s'),$type,$d1,$d2,$d3,$d4).'<br />';
+	      $erreur_message .='<br />'.sprintf(l10n('Sv_alerte_mail %s %s %s %s %s'),$type,$d1,$d2,$d3,$d4).'<br />';
  		}else{
-		 	   $erreur_message .='<br />'.sprintf(l10n('mise_en_quarantaine %s %s %s %s %s'),$type,$d1,$d2,$d3,$d4).'<br />';
+		 	   $erreur_message .='<br />'.sprintf(l10n('Sv_mise_en_quarantaine %s %s %s %s %s'),$type,$d1,$d2,$d3,$d4).'<br />';
 
 		}
- $infos_message = l10n('mail_not_send');
+ $infos_message = l10n('Sv_mail_not_send');
  
  }			
@@ -295,9 +296,9 @@
  		$pos1 = strpos(strtolower($message), 'bad recipient address syntax');
 		if (  !($pos1 === false) ){
-			$erreur_message .= l10n('detection_de').' : Bad recipient address syntax .';
- 			$erreur_message .= l10n('verifiez_les_destinataires').' (Bcc,Cc,To)<br />';
+			$erreur_message .= l10n('Sv_detection_de').' : Bad recipient address syntax .';
+ 			$erreur_message .= l10n('Sv_verifiez_les_destinataires').' (Bcc,Cc,To)<br />';
  			}	
 	
-	$erreur_message .= sprintf(l10n('debug_message %s %s %s %s %s'),($ret==true)? "true" : "false",$message,$mailto,$headers,$nb_destinataires);
+	$erreur_message .= sprintf(l10n('Sv_debug_message %s %s %s %s %s'),($ret==true)? "true" : "false",$message,$mailto,$headers,$nb_destinataires);
        //=============== La fonction mail à retournéeune erreur =========================		
 
@@ -379,7 +380,7 @@
 		 { 
 		 if (test_spam($ip,$user_name ,"" )) {
-		  $err[] = $user_name . " ". l10n('is_a_login_spam')   ;
+		  $err[] = $user_name . " ". l10n('Sv_is_a_login_spam')   ;
 		 }else		 
-	  	    $err[] = $user_name . " : " .$mail . " ". l10n('is_a_spam')   ;
+	  	    $err[] = $user_name . " : " .$mail . " ". l10n('Sv_is_a_spam')   ;
 		 }
 		 
